## 0ad 0.27.1-2~oibaf~ntrisquel2

=== debian/changelog ===
0ad (0.27.1-2~oibaf~ntrisquel2) ecne-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 15 Sep 2025 14:16:36 +0000

0ad (0.27.1-2~oibaf~n) noble; urgency=medium

  * No-change backport to noble.

 -- Fabio Pedretti <fmrummey@gmail.com>  Mon, 15 Sep 2025 09:59:39 +0200

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Vincent Cheng <vcheng@debian.org>,
 Ludovic Rousseau <rousseau@debian.org>
Build-Depends:
 autoconf,
 automake,
 cargo (>= 1.66.0),
 cmake,
 debhelper-compat (= 13),
 dh-exec (>= 0.1),
 dpkg-dev (>= 1.15.5),
 libboost-dev (>= 1.57.0.1),
 libboost-filesystem-dev (>= 1.57.0.1),
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libenet-dev (>= 1.3),
 libfmt-dev (>= 4.0.0),
 libfreetype-dev,
 libgloox-dev (>= 1.0.10),
 libicu-dev (>= 67.1-4~),
 libminiupnpc-dev (>= 1.6),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev (>= 2.0.5),
 libsodium-dev (>= 1.0.14),
 libvorbis-dev,
 libwxgtk3.2-dev,
 libxcursor-dev,
 libxml2-dev,
 llvm,
 pkgconf,
 python3,
 rustc (>= 1.66.0),
 tzdata,
 zlib1g-dev (>= 1:1.2.3)
Standards-Version: 4.7.2
Homepage: https://play0ad.com/
Vcs-Git: https://salsa.debian.org/games-team/0ad.git
Vcs-Browser: https://salsa.debian.org/games-team/0ad
Rules-Requires-Root: no

Package: 0ad
Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 0ad-data (>= ${source:Upstream-Version}),
 0ad-data (<= ${source:Version}),
 0ad-data-common (>= ${source:Upstream-Version}),
 0ad-data-common (<= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

## 0ad 0.27.1-2~oibaf~n+11.0trisquel2

=== debian/changelog ===
0ad (0.27.1-2~oibaf~n+11.0trisquel2) aramo-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 15 Sep 2025 14:10:09 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libsdl2-dev (>= 2.0.5),
  libsodium-dev (>= 1.0.14),
  libvorbis-dev,
- libwxgtk3.2-dev,
+ libwxgtk3.0-gtk3-dev,
  libxcursor-dev,
  libxml2-dev,
  llvm,

## 0ad 0.28.0

=== source/tools/entity/requirements.txt ===
lxml>=5.0.0

=== debian/changelog ===
0ad (0.28.0-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Feb 2026 19:32:22 -0800

0ad (0.28.0-3) unstable; urgency=medium

  * Skip flaky autopkgtest on i386.
  * Drop ppc64 as supported arch; package will FTBFS on all big-endian arches.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 24 Feb 2026 02:37:58 -0800

0ad (0.28.0-2) unstable; urgency=medium

  * Add autopkgtest.
  * Add ppc64 and ppc64el as supported architectures.
  * Update b-d on libboost-dev >= 1.71.0, drop b-d on libboost-filesystem-dev.
  * Drop obsolete override_dh_dwz target in d/rules.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 23 Feb 2026 03:27:40 -0800

0ad (0.28.0-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Fix mozjs FTBFS with python 3.14. (Closes: #1127002, #1128074)
    - Drop obsolete patch applied upstream: d/p/fix-nvtt-i386-ftbfs.patch
    - Add additional patches to disable flaky regression tests, sourced from
      upstream PPA (thanks to Nicolas Auvray).
    - Refresh remaining patches.
  * Add d/p/disable-spidermonkey-debug-build.patch to skip mozjs debug build.
  * Add build-dep on cbindgen and update build-dep versions for cargo/rustc.
  * Drop obsolete kfreebsd-* arches, and drop support for armhf due to mozjs
    FTBFS. (Closes: #1110555)
  * Update Standards version to 4.7.3, no changes needed.

  [ Daniel Richard G. ]
  * d/rules: Improve coverage of "clean" rule, and use the system package
    of cxxtest instead of the bundled one. (Closes: #1043705)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 21 Feb 2026 18:18:00 -0800

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>,
           Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec (>= 0.1),
               dpkg-dev (>= 1.15.5),
               autoconf,
               automake,
               cargo (>= 1.76.0),
               cbindgen (>= 0.26.0),
               cmake,
               cxxtest,
               libboost-dev (>= 1.71.0),
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libenet-dev (>= 1.3),
               libfmt-dev (>= 4.0.0),
               libfreetype-dev,
               libgloox-dev (>= 1.0.10),
               libicu-dev (>= 67.1-4~),
               libminiupnpc-dev (>= 1.6),
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl2-dev (>= 2.0.5),
               libsodium-dev (>= 1.0.14),
               libvorbis-dev,
               libwxgtk3.2-dev,
               libxcursor-dev,
               libxml2-dev,
               llvm,
               pkgconf,
               python3,
               rustc (>= 1.76.0),
               tzdata,
               zlib1g-dev (>= 1:1.2.3)
Standards-Version: 4.7.3
Homepage: https://play0ad.com/
Vcs-Git: https://salsa.debian.org/games-team/0ad.git
Vcs-Browser: https://salsa.debian.org/games-team/0ad
Rules-Requires-Root: no

Package: 0ad
Architecture: amd64 arm64 i386 ppc64el
Pre-Depends: dpkg (>= 1.15.6~)
Depends: 0ad-data (<= ${source:Version}),
         0ad-data (>= ${source:Upstream-Version}),
         0ad-data-common (<= ${source:Version}),
         0ad-data-common (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

=== debian/rules ===
#!/usr/bin/make -f

# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

PARALLEL = $(or $(subst parallel=,-j,$(filter parallel=%,${DEB_BUILD_OPTIONS})), -j$(shell getconf _NPROCESSORS_ONLN))

%:
	dh $@

override_dh_auto_clean:
	# cleanup cruft from unpacking embedded libraries
	rm -rf libraries/source/cxxtest-*/cxxtest-*/
	rm -rf libraries/source/fcollada/fcollada-*/
	rm -rf libraries/source/nvtt/nvtt-*/
	rm -rf libraries/source/premake-core/premake-*/
	rm -rf libraries/source/spidermonkey/mozjs-*/
	rm -rf libraries/source/spirv-reflect/SPIRV-Reflect-vulkan-sdk-*/
	rm  -f libraries/source/*/.already-built
	rm -rf libraries/source/*/bin/
	rm -rf libraries/source/*/include/
	rm -rf libraries/source/*/include-*/
	rm -rf libraries/source/*/lib/
	# cleanup all other cruft
	find binaries/system/ -type f ! -name readme.txt -delete
	rm -f build/premake/.*.tmp
	rm -rf build/workspaces/gcc
	find libraries -name \*.pyc -delete
	find libraries -depth -name __pycache__ -exec rm -rf {} +
	rm -f source/ps/tests/stub_impl_hack.cpp
	dh_auto_clean

override_dh_auto_build:
	libraries/build-source-libs.sh \
		--with-system-cxxtest \
		$(PARALLEL)
	build/workspaces/update-workspaces.sh \
		--bindir=/usr/games \
		--libdir=/usr/lib/games/0ad \
		--datadir=/usr/share/games/0ad \
		--with-system-cxxtest \
		--with-lto \
		$(PARALLEL)
	
	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
		$(PARALLEL)

override_dh_auto_test:
	# Note: Avoid running tests from root dir of build, otherwise certain
	# tests (i.e. in testsuite MeshManager) may not work as intended and
	# create spurious directories above root dir (../data/mods).
	# Also avoid running tests on non-amd64 due to testsuite flakiness.
ifeq (amd64, $(DEB_HOST_ARCH))
	cd binaries/system/ && LD_LIBRARY_PATH=. ./test
endif

override_dh_auto_install:
	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	dh_auto_install

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/games/0ad

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
# TODO: figure out why this test segfaults on i386 (repro on porterbox)
Test-Command: xvfb-run /usr/games/0ad -autostart="random/jebel_barkal" -autostart-seed=-1 -autostart-players=2 -autostart-civ=1:athen -autostart-civ=2:brit -autostart-ai=1:petra -autostart-ai=2:petra -autostart-player=-1 -autostart-nonvisual
Depends: xauth, xvfb, @
Architecture: !i386
